This URL adds an inbound proxy rule.
Resource URL
POST domain/sslconfiguration/inboundproxyrules
Request Parameters
URL Parameters: None
Payload Request Parameters:
| Field Name | Description | Data Type | Mandatory |
|---|---|---|---|
| ruleName | Rule name | String | Yes |
| comment | Comment | String | No |
| destWebServerIPs | Destination web server IPs (CIDR) | String | Yes |
| webServerCerts | List of web server certificates (All the web server certificates should be installed on exact same set of Sensors) | Object | Yes |
| defaultKey | Default web server certificates (should be one of the web server certificates. If not given, any one of the web server certificates will be considered as default key.) | Object | No |
Details of the web server certificate and defaultKey:
| Field Name | Description | Data Type |
|---|---|---|
| validityStatus | Validity status of web server certificate | String |
| keyAlias | Alias for web server certificate | String |
Response Parameters
Following fields are returned.
| Field Name | Description | Data Type |
|---|---|---|
| createdResourceId | Unique id of the created inbound proxy rule | Number |
Example
Request
POST https://<NSM_IP>/sdkapi/domain/sslconfiguration/inboundproxyrules
Payload
{
“ruleName': “InboundProxyRule2”,
“comment”: “Rule 2”,
“destWebServerIPs”: “10.213.0.0/16”
“webServerCerts”: [{“keyAlias”: “NSAT_521_1024_SHA384”}],
“defaultKey': {“keyAlias”: “NSAT_521_1024_SHA384”}
}
Response
{
"createdResourceId": 5
}
Error Information
Following error codes are returned by this URL:
| S.No | HTTP Error Code | SDK API errorId | SDK API errorMessage |
|---|---|---|---|
| 1 | 500 | 2002 | Rule name already exist. Please add a unique name. |
| 2 | 500 | 2002 | Invalid destination web server IPs |
| 3 | 500 | 2002 | Destination web server IPs field is required |
| 4 | 500 | 2002 | Addition not allowed. |
| 5 | 500 | 2002 | Rule name: field should not be empty |
| 6 | 500 | 2002 | At least one web server certificate is required. |
| 7 | 500 | 2002 | Rule name: The maximum length for the field is 254 |
| 8 | 500 | 2002 | Maximum length for the comment is 254 |
| 9 | 500 | 2002 | Key Alias does not exist Invalid |
| 10 | 500 | 2002 | InstalledOn set does not match |